package cn.wisenergy.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ProjectDto", description="项目id和项目名实体类")
public class ProjectDto {
    @ApiModelProperty(name = "id",value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "projectName",value = "项目名称")
    private String projectName;

    @ApiModelProperty(name = "type",value = "1:项目，2：商机")
    private Integer type;

    @ApiModelProperty(name = "managerId", value = "项目经理id")
    private Integer managerId;

    @ApiModelProperty(name = "managerName", value = "项目经理")
    private String managerName;

    @ApiModelProperty
    private String deptManagerName;
}
